<?php
/* (c) Sam Biggins <sam@evoluted.net>
 *
 * For the full copyright and license information, please view the LICENSE
 * file that was distributed with this source code.
 *
 * Crontab Management
 *
 */
namespace Deployer;

require_once 'general.php';

task('crontab:update', function() {
    // Read in crontab template in
    if (file_exists('./crontab.template')) {
        $crontabTemplate = file_get_contents('./crontab.template');
        $crontabContents = parse($crontabTemplate);
        // Add .crontab file to deployment
        run('echo "' . $crontabContents . '" > ' . get('release_path') . "/.crontab");

        $slug = cdEnvironmentSlug();

        run("sudo symlink-crontab {{release_path}}/.crontab " . $slug);
    }
})->desc('Create crontab file and install');

task('crontab:destroy', function() {
	$slug = cdEnvironmentSlug();
    run("remove-crontab " . $slug);
})->desc('Destroys crontab file for project');